Subject: Idea to extend breadcrumb-mode

From: Johann Höchtl <[email-masked]>
Date: Wed, 20 Sep 2023 10:45:56 +0200

Breadcrumb mode is a useful companion to imenu. The usability could be
increased if mouse click actions in the tabline would provide better
defaults:

   1. When clicking on the deepest displayed node (leaf), provide a search
   where to jump to (as it is now)
   2. When clicking on a non-leaf and this item is not a type bucket
   (method, typedef) but a concrete item, jump to that item, otherwise provide
   the search as in item 1

Especially point 2 would be helpful when navigating hierarchical structures
like the outline of a markdown or org file.

Best, Johann